[DTrace-devel] [PATCH] test: Allow for ext4 and isofs to be built-in modules

eugene.loh at oracle.com eugene.loh at oracle.com
Wed May 31 16:01:24 UTC 2023


From: Eugene Loh <eugene.loh at oracle.com>

The test uses symbols from modules ext4 and isofs.  So skip the test
if those modules are not present.  The modules, however, might be
built into the kernel.

So, check /proc/kallmodsyms rather than /proc/modules for the modules.

Signed-off-by: Eugene Loh <eugene.loh at oracle.com>
---
 test/unittest/scalars/tst.misc.x | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/test/unittest/scalars/tst.misc.x b/test/unittest/scalars/tst.misc.x
index 06e1b0ca..1dec0b49 100755
--- a/test/unittest/scalars/tst.misc.x
+++ b/test/unittest/scalars/tst.misc.x
@@ -1,10 +1,10 @@
 #!/bin/sh
 
-if ! $(grep -q '^isofs ' /proc/modules); then
+if ! $(grep -qw isofs /proc/kallmodsyms); then
     exit 1
 fi
 
-if ! $(grep -q '^ext4 ' /proc/modules); then
+if ! $(grep -qw ext4 /proc/kallmodsyms); then
     exit 1
 fi
 
-- 
2.18.4




More information about the DTrace-devel mailing list